## org.h2.command.dml
Class Call

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.dml.Call

    public class Call

extends Prepared

This class represents the statement CALL.

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`Call(Session session)`

Method Summary
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isQuery()` Check if this object is a query.
`boolean` `isReadOnly()` Check if this command is read only.
`boolean` `isTransactional()` Check if this command is transactional.
`void` `prepare()` Prepare this statement.
`ResultInterface` `query(int maxrows)` Execute the query.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setExpression(Expression expression)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, needRecompile, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Call

    public Call(Session session)

Method Detail

### queryMeta

    public ResultInterface queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    the result set

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### query

    public ResultInterface query(int maxrows)

  Description copied from class: `Prepared`
  Execute the query.

  Overrides:
    `query` in class `Prepared`
  Parameters:
    `maxrows` - the maximum number of rows to return
  Returns:
    the result set

### prepare

    public void prepare()

  Description copied from class: `Prepared`
  Prepare this statement.

  Overrides:
    `prepare` in class `Prepared`

### setExpression

    public void setExpression(Expression expression)

### isQuery

    public boolean isQuery()

  Description copied from class: `Prepared`
  Check if this object is a query.

  Overrides:
    `isQuery` in class `Prepared`
  Returns:
    true if it is

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Specified by:
    `isTransactional` in class `Prepared`
  Returns:
    true if it is

### isReadOnly

    public boolean isReadOnly()

  Description copied from class: `Prepared`
  Check if this command is read only.

  Overrides:
    `isReadOnly` in class `Prepared`
  Returns:
    true if it is

### getType

    public int getType()

  Description copied from class: `Prepared`
  Get the command type as defined in CommandInterface

  Specified by:
    `getType` in class `Prepared`
  Returns:
    the statement type